using Vim.Math3d;
using static System.Math;

public static class IOrbitalElementsExtensions
{
    /// <summary>
    /// Get the Cartesian position on the orbit for a given mean anomaly.
    /// </summary>
    /// <param name="M">Mean anomaly</param>
    /// <returns>Position</returns>
    public static DVector2 GetEccentricPosition2D(this OrbitalElements elements, double M) =>
        Kepler.GetEccentricPosition2D(elements.e, elements.a, M);
}